## ahven 1.2

=== Makefile ===
#
# Copyright (c) 2007, 2008 Tero Koskinen <tero.koskinen@iki.fi>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

PREFIX?=$(HOME)/libraries/ahven
INSTALL=install
OS_VERSION?=unix

SOURCES=src/ahven-doubly_linked_list.adb src/ahven-doubly_linked_list.ads \
	src/ahven-framework.adb src/ahven-framework.ads \
	src/ahven-listeners-basic.adb src/ahven-listeners-basic.ads \
	src/ahven-listeners.ads src/ahven-results.adb \
	src/ahven-results.ads src/ahven-runner.adb \
	src/ahven-runner.ads src/ahven-text_runner.adb \
	src/ahven-text_runner.ads src/ahven.adb \
	src/ahven.ads src/ahven-listeners-output_capture.adb \
	src/ahven-listeners-output_capture.ads \
	src/ahven-temporary_output.adb \
	src/ahven-temporary_output.ads \
	src/ahven-parameters.adb src/ahven-parameters.ads \
	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
	src/${OS_VERSION}/ahven-compat.adb src/ahven-compat.ads

ALI_FILES=lib/ahven.ali lib/ahven-doubly_linked_list.ali \
	lib/ahven-framework.ali lib/ahven-listeners-basic.ali \
	lib/ahven-listeners.ali lib/ahven-results.ali \
	lib/ahven-runner.ali lib/ahven-text_runner.ali \
	lib/ahven-listeners-output_capture.ali \
	lib/ahven-temporary_output.ali \
	lib/ahven-parameters.ali \
	lib/ahven-compat.ali lib/ahven-xml_runner.ali

SO_LIBRARY=libahven.so.12.0
GPR_FILE=ahven.gpr

default: build_all

build_all: build_lib build_tests

build_lib:
	OS=$(OS_VERSION) gnatmake -Pahven_lib

build_tests: build_lib
	OS=$(OS_VERSION) gnatmake -Pahven_tests

clean: clean_lib clean_tests clean_docs

clean_lib:
	OS=$(OS_VERSION) gnatclean -Pahven_lib

clean_tests:
	OS=$(OS_VERSION) gnatclean -Pahven_tests
	rm -rf results

clean_docs:
	rm -f doc/api/*.html

install: install_lib

install_lib:
	mkdir -p $(PREFIX)/include/ahven
	mkdir -p $(PREFIX)/lib/ahven
	mkdir -p $(PREFIX)/lib/gnat
	$(INSTALL) -m 644 $(SOURCES) $(PREFIX)/include/ahven
	$(INSTALL) -m 444 $(ALI_FILES) $(PREFIX)/lib/ahven
	$(INSTALL) -m 644 lib/$(SO_LIBRARY) $(PREFIX)/lib/ahven
	ln -sf $(PREFIX)/lib/ahven/$(SO_LIBRARY) $(PREFIX)/lib/libahven.so
	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat

check: build_tests
	./tester -c

check_xml: build_tests
	-mkdir -p results
	./tester -c -x -d results

control:
	rm -f objects/*.adt objects/*.ali
	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs]
	rm -f objects/*.adt objects/*.ali

docs:
	adabrowse -c adabrowse.conf -i -I src/ -f@ahven.specs -o doc/api/

## ahven 1.3

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 INSTALL=install
 OS_VERSION?=unix
 
-SOURCES=src/ahven-doubly_linked_list.adb src/ahven-doubly_linked_list.ads \
-	src/ahven-framework.adb src/ahven-framework.ads \
+SOURCES=src/ahven-framework.adb src/ahven-framework.ads \
 	src/ahven-listeners-basic.adb src/ahven-listeners-basic.ads \
 	src/ahven-listeners.ads src/ahven-results.adb \
 	src/ahven-results.ads src/ahven-runner.adb \
@@ -31,18 +30,21 @@
 	src/ahven-temporary_output.ads \
 	src/ahven-parameters.adb src/ahven-parameters.ads \
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
-	src/${OS_VERSION}/ahven-compat.adb src/ahven-compat.ads
+	src/${OS_VERSION}/ahven-compat.adb src/ahven-compat.ads \
+	src/ahven-listeners-result_listener_list.adb \
+	src/ahven-listeners-result_listener_list.ads
 
-ALI_FILES=lib/ahven.ali lib/ahven-doubly_linked_list.ali \
+ALI_FILES=lib/ahven.ali \
 	lib/ahven-framework.ali lib/ahven-listeners-basic.ali \
 	lib/ahven-listeners.ali lib/ahven-results.ali \
 	lib/ahven-runner.ali lib/ahven-text_runner.ali \
 	lib/ahven-listeners-output_capture.ali \
 	lib/ahven-temporary_output.ali \
 	lib/ahven-parameters.ali \
-	lib/ahven-compat.ali lib/ahven-xml_runner.ali
+	lib/ahven-compat.ali lib/ahven-xml_runner.ali \
+	lib/ahven-listeners-result_listener_list.ali
 
-SO_LIBRARY=libahven.so.12.0
+SO_LIBRARY=libahven.so.13.0
 GPR_FILE=ahven.gpr
 
 default: build_all
@@ -50,15 +52,15 @@
 build_all: build_lib build_tests
 
 build_lib:
-	OS=$(OS_VERSION) gnatmake -Pahven_lib
+	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_lib
 
 build_tests: build_lib
-	OS=$(OS_VERSION) gnatmake -Pahven_tests
+	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_tests
 
 clean: clean_lib clean_tests clean_docs
 
 clean_lib:
-	OS=$(OS_VERSION) gnatclean -Pahven_lib
+	OS_VERSION=$(OS_VERSION) gnatclean -Pahven_lib
 
 clean_tests:
 	OS=$(OS_VERSION) gnatclean -Pahven_tests

## ahven 1.6

=== Makefile ===
#
# Copyright (c) 2007-2009 Tero Koskinen <tero.koskinen@iki.fi>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

PREFIX?=$(HOME)/libraries/ahven
INSTALL=install
OS_VERSION?=unix

SOURCES=src/ahven-framework.adb src/ahven-framework.ads \
	src/ahven-listeners-basic.adb src/ahven-listeners-basic.ads \
	src/ahven-listeners.ads src/ahven-listeners.adb \
	src/ahven-results.adb src/ahven-results.ads \
	src/ahven-runner.adb src/ahven-runner.ads \
	src/ahven-text_runner.adb src/ahven-text_runner.ads \
	src/ahven.adb src/ahven.ads \
	src/ahven-temporary_output.adb \
	src/ahven-temporary_output.ads \
	src/ahven-parameters.adb src/ahven-parameters.ads \
	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
	src/ahven-tap_parameters.adb src/ahven-tap_parameters.ads \
	src/ahven-vstrings.adb src/ahven-vstrings.ads \
	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
	src/ahven-slist.adb src/ahven-slist.ads

ALI_FILES=lib/ahven.ali \
	lib/ahven_compat.ali \
	lib/ahven-framework.ali \
	lib/ahven-listeners-basic.ali \
	lib/ahven-listeners.ali \
	lib/ahven-results.ali \
	lib/ahven-runner.ali \
	lib/ahven-slist.ali \
	lib/ahven-tap_parameters.ali \
	lib/ahven-tap_runner.ali \
	lib/ahven-parameters.ali \
	lib/ahven-temporary_output.ali \
	lib/ahven-text_runner.ali \
	lib/ahven-vstrings.ali \
	lib/ahven-xml_runner.ali

SO_LIBRARY=libahven.so.16.0
GPR_FILE=ahven.gpr

default: build_all

objects:
	mkdir -p objects

test_objects:
	mkdir -p test_objects


lib:
	mkdir -p lib

build_all: objects test_objects build_lib build_tests

build_lib: objects lib
	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_lib

build_tests: test_objects build_lib
	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_tests

clean: clean_lib clean_tests clean_docs

clean_lib:
	rm -rf lib objects

clean_tests: test_objects
	rm -rf results test_objects

clean_docs:
	rm -f doc/api/*.html ahven.specs

install: install_lib

install_lib:
	mkdir -p $(PREFIX)/include/ahven
	mkdir -p $(PREFIX)/lib/ahven
	mkdir -p $(PREFIX)/lib/gnat
	$(INSTALL) -m 644 $(SOURCES) $(PREFIX)/include/ahven
	$(INSTALL) -m 444 $(ALI_FILES) $(PREFIX)/lib/ahven
	$(INSTALL) -m 644 lib/$(SO_LIBRARY) $(PREFIX)/lib/ahven
	ln -sf $(PREFIX)/lib/ahven/$(SO_LIBRARY) $(PREFIX)/lib/libahven.so
	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat

check: build_tests
	./tester -c

check_xml: build_tests
	-mkdir -p results
	./tester -c -x -d results

check_tap: build_tests
	./tap_tester

control:
	rm -f objects/*.adt objects/*.ali
	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs]
	rm -f objects/*.adt objects/*.ali

docs: ahven.specs
	mkdir -p doc/api
	adabrowse -c adabrowse.conf -i -f@ahven.specs -o doc/api/

ahven.specs: $(SOURCES)
	find src/ -name "*.ads" -print |sort|uniq > ahven.specs

## ahven 1.7

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 	src/ahven-parameters.adb src/ahven-parameters.ads \
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
 	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
-	src/ahven-tap_parameters.adb src/ahven-tap_parameters.ads \
 	src/ahven-vstrings.adb src/ahven-vstrings.ads \
 	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
 	src/ahven-slist.adb src/ahven-slist.ads
@@ -43,7 +42,6 @@
 	lib/ahven-results.ali \
 	lib/ahven-runner.ali \
 	lib/ahven-slist.ali \
-	lib/ahven-tap_parameters.ali \
 	lib/ahven-tap_runner.ali \
 	lib/ahven-parameters.ali \
 	lib/ahven-temporary_output.ali \
@@ -51,8 +49,8 @@
 	lib/ahven-vstrings.ali \
 	lib/ahven-xml_runner.ali
 
-SO_LIBRARY=libahven.so.16.0
-GPR_FILE=ahven.gpr
+SO_LIBRARY=libahven.so.17.0
+GPR_FILE=gnat/ahven.gpr
 
 default: build_all
 
@@ -62,28 +60,30 @@
 test_objects:
 	mkdir -p test_objects
 
-
 lib:
 	mkdir -p lib
 
 build_all: objects test_objects build_lib build_tests
 
 build_lib: objects lib
-	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_lib
+	OS_VERSION=$(OS_VERSION) gnatmake -Pgnat/ahven_lib
 
 build_tests: test_objects build_lib
-	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_tests
+	OS_VERSION=$(OS_VERSION) gnatmake -Pgnat/ahven_tests
 
 clean: clean_lib clean_tests clean_docs
 
 clean_lib:
-	rm -rf lib objects
+	gnatclean -q -Pgnat/ahven_lib
 
-clean_tests: test_objects
-	rm -rf results test_objects
+clean_tests:
+	gnatclean -q -Pgnat/ahven_tests
 
 clean_docs:
 	rm -f doc/api/*.html ahven.specs
+
+distclean:
+	rm -rf lib objects results test_objects tester tap_tester
 
 install: install_lib
 
@@ -109,7 +109,7 @@
 
 control:
 	rm -f objects/*.adt objects/*.ali
-	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs]
+	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs] ../src/unix/*.ad[bs]
 	rm -f objects/*.adt objects/*.ali
 
 docs: ahven.specs
@@ -118,3 +118,6 @@
 
 ahven.specs: $(SOURCES)
 	find src/ -name "*.ads" -print |sort|uniq > ahven.specs
+
+tags: $(SOURCES)
+	ectags src/*.adb

=== contrib/docbook-testreport/Makefile ===
#
# Copyright (c) 2009 Reto Buerki <buerki@swiss-it.ch>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

# project settings

PROJECT := example-project
EMAIL   := developer@example.net

FORMATS := html txt pdf
TARGETS := $(foreach fmt,$(FORMATS),$(PROJECT).$(fmt))

SRCDIR  := ../../results
DOCDIR  := docs
XSLDIR  := xsl

SRCINDEX := $(SRCDIR)/index.xml

RESULTFILE := result.xml
HEADERFILE := result-header.xml
OVERFILE   := overview.xml
ENTITYFILE := data.ent

SOURCES := $(wildcard $(SRCDIR)/*.xml) \
	$(ENTITYFILE) \
	$(RESULTFILE) \
	$(HEADERFILE) \
	$(OVERFILE)

TRANSXSL := $(XSLDIR)/transform.xsl
OVERXSL  := $(XSLDIR)/overview.xsl
HTMLXSL  := $(XSLDIR)/html.xsl
TXTXSL   := $(XSLDIR)/txt.xsl

EXT := docbook

# testresult input produced by ahven xml runner

TESTS := `cd $(SRCDIR); ls TEST-*.xml`

# testenv info

TIME        := $(shell date)
OS          := $(shell uname)
HOSTNAME    := $(shell hostname)
KERNEL_NAME := $(shell uname -s)
KERNEL_REL  := $(shell uname -r)
KERNEL_VER  := $(shell uname -v)

DBLATEX := dblatex --style=db2latex
XP      := xsltproc --nonet --novalid --xinclude

all: $(TARGETS)

$(PROJECT).html: $(SOURCES)
	@echo -n "Generating $@ ... "
	@$(XP) $(HTMLXSL) index.xml > $@
	@echo "DONE"

$(PROJECT).txt: $(SOURCES)
	@echo -n "Generating $@ ... "
	@$(XP) $(TXTXSL) index.xml | w3m -cols 65 -dump -T text/html > $@
	@echo "DONE"

$(PROJECT).pdf: $(SOURCES)
	@echo "Generating $@ ... "
	@$(DBLATEX) index.xml -o $@
	@echo "DONE"

$(OVERFILE): $(SRCINDEX)
	@$(XP) $(OVERXSL) $(SRCINDEX) > $@

$(SRCINDEX):
	@echo "<!DOCTYPE includefile ["				> $@
	@for SOURCE in $(TESTS); do \
		echo "<!ENTITY $$SOURCE SYSTEM '$$SOURCE'>"	>> $@; \
	done
	@echo "]> <inc>"					>> $@
	@for SOURCE in $(TESTS); do \
		echo "&$$SOURCE;"				>> $@; \
	done
	@echo "</inc>"						>> $@

$(RESULTFILE): to-docbook
	@cp $(HEADERFILE) $(RESULTFILE)
	@for DOC in `ls $(DOCDIR)/TEST-*.$(EXT)`; do \
		echo "<xi:include href='$$DOC' xmlns:xi='http://www.w3.org/2003/XInclude'/>" \
	   		>> $(RESULTFILE); \
	done
	@echo "</chapter>" >> $(RESULTFILE)

to-docbook:
	@mkdir -p $(DOCDIR)
	@for SOURCE in $(TESTS); do \
		$(XP) $(TRANSXSL) $(SRCDIR)/$$SOURCE > $(DOCDIR)/$$SOURCE.$(EXT); \
	done

$(ENTITYFILE):
	@echo '<!ENTITY project "$(PROJECT)">'           >> $@
	@echo '<!ENTITY email "$(EMAIL)">'               >> $@
	@echo '<!ENTITY time "$(TIME)">'                 >> $@
	@echo '<!ENTITY hostname "$(HOSTNAME)">'         >> $@
	@echo '<!ENTITY os "$(OS)">'                     >> $@
	@echo '<!ENTITY kernel_name "$(KERNEL_NAME)">'   >> $@
	@echo '<!ENTITY kernel_release "$(KERNEL_REL)">' >> $@
	@echo '<!ENTITY kernel_version "$(KERNEL_VER)">' >> $@

clean:
	@rm -f $(PROJECT).*
	@rm -f $(RESULTFILE)
	@rm -f $(OVERFILE)
	@rm -f $(ENTITYFILE)
	@rm -rf $(DOCDIR)
	@rm -rf $(SRCINDEX)

.PHONY: all $(PROJECT).html clean $(ENTITYFILE) $(SRCINDEX)

=== doc/manual/en/Makefile ===
XML_FILES=ahven-manual.xml using.xml installing.xml introduction.xml

XSL_FO_FILE=ahven.xsl
XSL_HTML_FILE=/usr/local/share/xsl/docbook/html/docbook.xsl

# Params:
#    --stringparam draft.mode yes|no
#    --stringparam fop.extensions 1
#    --stringparam paper.type A4
#    --stringparam glossentry.show.acronym primary
#
PARAMS=--stringparam draft.mode no --stringparam fop.extensions 1 \
	--stringparam paper.type A4 \
	--stringparam glossentry.show.acronym no \
	--stringparam tablecolumns.extension 1
FOP=$(HOME)/java/utilities/fop-0.94/fop

default: ahven-manual.fo

all: ahven-manual.pdf

ahven-manual.pdf: ahven-manual.fo
	$(FOP) -fo ahven-manual.fo -pdf ahven-manual.pdf

ahven-manual.fo: $(XML_FILES) $(XSL_FO_FILE)
	xsltproc --output ahven-manual.fo $(PARAMS) $(XSL_FO_FILE) ahven-manual.xml

ahven-manual.html: $(XML_FILES) $(XSL_HTML_FILE)
	xsltproc --output ahven-manual.html $(XSL_HTML_FILE) ahven-manual.xml

validate:
	xmllint --valid ahven-manual.xml

clean:
	rm -f ahven-manual.fo ahven-manual.pdf

pdf: ahven-manual.pdf

=== debian/changelog ===
ahven (1.7-2) unstable; urgency=low

  * Declare conflict with libahven-dev (Closes: #563629).
  * Fix debhelper-but-no-misc-depends lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jan 2010 20:44:49 +0100

ahven (1.7-1) unstable; urgency=low

  * Add kfreebsd-amd64 to Architecture (Closes: #542407).
  * Merging upstream version 1.7.
  * Drop obsolete vstrings patch.
  * Bump soname from 16 to 17.
  * Update to Standards-Version 3.8.3 (no changes).
  * Add docbook-testreport to libahven-dev examples.
  * Install upstream changelog.
  * Add static/dynamic library kind support.
  * Migrate to gnat-4.4 (Closes: #533152, #555095).
  * Add aliversion to dev package.
  * Switch to 3.0 (quilt) source package format.
  * Remove alpha from Architecture.
  * Update upstream homepage.
  * Update adabrowse specific architecture list.
  * Update debian/copyright file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 23 Dec 2009 18:51:28 +0100

ahven (1.6-2) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - ahven-dbg: devel -> debug.
  * Add patch to fix vstring truncation bug.
  * Update to Standards-Version 3.8.1 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Sun, 10 May 2009 19:30:58 +0200

ahven (1.6-1) unstable; urgency=low

  * Update upstream homepage location.
  * Add Vcs-Browser setting to control file.
  * Remove "section" field from binary package.
  * Expand extended package description.
  * Merging upstream version 1.6.
  * Bump soname from 14 to 16 (new upstream release).
  * Update clean target in debian/rules.
  * Point the watch file to the new Sourceforge location.
  * Update the download location in debian/copyright.
  * Add Vcs-Git setting to control file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Mar 2009 11:55:29 +0100

ahven (1.4-2) unstable; urgency=low

  * Don't generate docs on mips (Closes: #486861, #513745).
  * Use dh_prep instead of deprecated dh_clean -k.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Feb 2009 21:54:06 +0100

ahven (1.4-1) unstable; urgency=low

  * Update maintainer and uploader e-mail address.
  * Merging upstream version 1.4.
  * Run ahven unit tests in build target.
  * Add Debian specific ahven project file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 28 Jan 2009 01:07:43 +0100

ahven (1.3-2) unstable; urgency=low

  * Removed CFLAGS from rules (deprecated with new dpkg).
  * Don't build ahven docs for armel architecture, adabrowse is not
    available there.
  * Added fail-missing to dh_install.
  * Corrected architecture fields in control file.

 -- Reto Buerki <buerki@swiss-it.ch>  Tue, 02 Sep 2008 10:36:04 +0200

ahven (1.3-1) unstable; urgency=low

  * New upstream release:
    - Bumps soname from 12 to 13 - no other packages need to be transitioned.
  * Updated ahven sources to version 1.3.
  * Removed dpatch from Build-Depends.
    - No need to patch documentation generation any more.
  * Updated to Standards-Version: 3.8.0 (no changes).
  * Updated supported architectures.
    - Added kfreebsd-i386, mips, mipsel, ppc64 to list.

 -- Reto Buerki <buerki@swiss-it.ch>  Mon, 25 Aug 2008 23:24:01 +0200

ahven (1.2-1) unstable; urgency=low

  * New upstream release:
      - Bumps soname 11 to 12 - no other packages need to be transitioned.
  * API-documentation is built with adabrowse now.
  * Added adabrowse to Build-Depends.
  * Added patch to build docs for ahven-xml_runner.ads and ahven-compat.ads
    as well.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 18 May 2008 21:02:37 +0200

ahven (1.1-3) unstable; urgency=low

  * Added missing docs in libahven-dev package.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 11 May 2008 08:59:23 +0000

ahven (1.1-2) unstable; urgency=low

  * Only building ahven on architectures supported by gnat
    (alpha amd64 hppa i386 ia64 powerpc s390 sparc).
  * Further excluding mips, mipsel (not ported yet).

 -- Reto Buerki <buerki@swiss-it.ch>  Thu, 08 May 2008 10:16:06 +0200

ahven (1.1-1) unstable; urgency=low

  * Initial release.

 -- Reto Buerki <buerki@swiss-it.ch>  Fri, 11 Apr 2008 11:20:14 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 7), adabrowse [amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc ppc64 s390 sparc], gnat, gnat-4.4
Standards-Version: 3.8.3
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: git://git.codelabs.ch/debian/ahven.git

Package: libahven17.0
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven1-dev
Section: libdevel
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven17.0 (= ${binary:Version}), gnat-4.4
Conflicts: libahven-dev
Replaces: libahven-dev
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven17.0 (= ${binary:Version}), libahven1-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) distclean
	$(MAKE) clean_docs

	dh_clean

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS)" $(MAKE) LIBTYPE=static

	LD_LIBRARY_PATH=./lib $(MAKE) check

ifneq ($(DEB_BUILD_ARCH),armel)
ifneq ($(DEB_BUILD_ARCH),mips)
	$(MAKE) docs
endif
endif

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr install

	mv debian/tmp/usr/lib/ahven/libahven.a debian/tmp/usr/lib
	mv debian/tmp/usr/lib/ahven/libahven.so.* debian/tmp/usr/lib
	ln -sf libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//'` debian/tmp/usr/lib/libahven.so
	ln -sf libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//'` debian/tmp/usr/lib/libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//' -e 's/\..*//'`

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/include/ahven debian/tmp/usr/share/ada/adainclude

	mkdir -p debian/tmp/usr/lib/ada/adalib
	mv debian/tmp/usr/lib/ahven debian/tmp/usr/lib/ada/adalib

	mv debian/tmp/usr/lib/gnat/* debian/tmp/usr/share/ada/adainclude
	rmdir debian/tmp/usr/lib/gnat

	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_lintian
	dh_strip --dbg-package=ahven-dbg
	dh_compress -X.ads -X.adb -XMakefile
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## ahven 1.9

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,11 @@
 PREFIX?=$(HOME)/libraries/ahven
 INSTALL=install
 OS_VERSION?=unix
+LIBDIR?=$(PREFIX)/lib
 
 SOURCES=src/ahven-framework.adb src/ahven-framework.ads \
 	src/ahven-listeners-basic.adb src/ahven-listeners-basic.ads \
-	src/ahven-listeners.ads src/ahven-listeners.adb \
+	src/ahven-listeners.ads \
 	src/ahven-results.adb src/ahven-results.ads \
 	src/ahven-runner.adb src/ahven-runner.ads \
 	src/ahven-text_runner.adb src/ahven-text_runner.ads \
@@ -30,7 +31,7 @@
 	src/ahven-parameters.adb src/ahven-parameters.ads \
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
 	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
-	src/ahven-vstrings.adb src/ahven-vstrings.ads \
+	src/ahven-astrings.ads \
 	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
 	src/ahven-slist.adb src/ahven-slist.ads
 
@@ -46,10 +47,10 @@
 	lib/ahven-parameters.ali \
 	lib/ahven-temporary_output.ali \
 	lib/ahven-text_runner.ali \
-	lib/ahven-vstrings.ali \
+	lib/ahven-astrings.ali \
 	lib/ahven-xml_runner.ali
 
-SO_LIBRARY=libahven.so.17.0
+STATIC_LIBRARY=libahven.a
 GPR_FILE=gnat/ahven.gpr
 
 default: build_all
@@ -85,17 +86,20 @@
 distclean:
 	rm -rf lib objects results test_objects tester tap_tester
 
-install: install_lib
+install: install_lib install_docs
 
 install_lib:
 	mkdir -p $(PREFIX)/include/ahven
-	mkdir -p $(PREFIX)/lib/ahven
+	mkdir -p $(LIBDIR)/ahven
 	mkdir -p $(PREFIX)/lib/gnat
 	$(INSTALL) -m 644 $(SOURCES) $(PREFIX)/include/ahven
-	$(INSTALL) -m 444 $(ALI_FILES) $(PREFIX)/lib/ahven
-	$(INSTALL) -m 644 lib/$(SO_LIBRARY) $(PREFIX)/lib/ahven
-	ln -sf $(PREFIX)/lib/ahven/$(SO_LIBRARY) $(PREFIX)/lib/libahven.so
+	$(INSTALL) -m 444 $(ALI_FILES) $(LIBDIR)/ahven
+	$(INSTALL) -m 644 lib/$(STATIC_LIBRARY) $(LIBDIR)/ahven
 	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat
+
+install_docs:
+	mkdir -p $(PREFIX)/share/doc/ahven
+	cp -r doc/manual/en/build/html $(PREFIX)/share/doc/ahven
 
 check: build_tests
 	./tester -c
@@ -116,6 +120,9 @@
 	mkdir -p doc/api
 	adabrowse -c adabrowse.conf -i -f@ahven.specs -o doc/api/
 
+userguide:
+	$(MAKE) -C doc/manual/en html
+
 ahven.specs: $(SOURCES)
 	find src/ -name "*.ads" -print |sort|uniq > ahven.specs

=== debian/changelog ===
ahven (1.9-1) unstable; urgency=low

  * Merging upstream version 1.9.
  * Update library-kind-support.patch.
  * Rename libahven17.0 package to libahven19.0.
  * Bump dev package aliversion to 2.
  * Remove adabrowse from Build-Depends.
    - Not needed anymore because upstream now uses python-sphinx to generate
      docs.
  * Update to Standards-Version 3.9.2 (no changes).
  * Drop unneeded ahven-dbg.lintian-overrides.
  * Migrate to gnat-4.6.
  * Update to debhelper 8.
  * Switch to minimal debian/rules syntax.
  * Update debian/copyright file.
  * Exclude doc/manual from libahven2 docs.
    - The Sphinx Ada domain required to build the manual is not yet available
      in Debian.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 29 Aug 2011 14:30:21 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 8), gnat-4.6
Standards-Version: 3.9.2
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: git://git.codelabs.ch/debian/ahven.git

Package: libahven19.0
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven2-dev
Section: libdevel
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven19.0 (= ${binary:Version}), gnat-4.6
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven19.0 (= ${binary:Version}), libahven2-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.

## ahven 2.1

=== Makefile ===
--- 
+++ 
@@ -126,5 +126,8 @@
 ahven.specs: $(SOURCES)
 	find src/ -name "*.ads" -print |sort|uniq > ahven.specs
 
+README.html: README.rst
+	rst2html --stylesheet-path=css/html4css1.css,css/my-docutils.css README.rst > README.html
+
 tags: $(SOURCES)
 	ectags src/*.adb

=== debian/changelog ===
ahven (2.1-4) unstable; urgency=low

  * Update copyright information
  * Declare conflict with libahven1-dev (Closes: #699193)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 30 Jan 2013 10:04:08 +0100

ahven (2.1-3) unstable; urgency=low

  * Update comment header in GNAT project file
  * Install dynamic/static libs directly to usr/lib
  * Set Architecture to 'any'
  * Also depend on gnat package (Closes: #663670)
  * Build dynamic/static lib in separate Obj/Lib dirs
  * Update to Standards-Version 3.9.3 (no changes)

 -- Reto Buerki <reet@codelabs.ch>  Fri, 16 Mar 2012 13:15:49 +0100

ahven (2.1-2) unstable; urgency=low

  * Add conflict with libahven2-dev (Closes: #646927)
  * Enable DM upload
  * Update Vcs-Git URL

 -- Reto Buerki <reet@codelabs.ch>  Mon, 21 Nov 2011 17:27:08 +0100

ahven (2.1-1) unstable; urgency=low

  * Imported Upstream version 2.1
  * Bump dev package aliversion to 3.
  * Rename libahven19.0 package to libahven21.0.
  * Unapply patches from source.
  * Override shlib-with-executable-stack lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 27 Oct 2011 13:02:02 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), gnat, gnat-4.6
Standards-Version: 3.9.3
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: http://git.codelabs.ch/git/debian/ahven.git

Package: libahven21.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libahven21.0 (= ${binary:Version}), gnat, gnat-4.6
Conflicts: libahven1-dev, libahven2-dev
Replaces: libahven1-dev, libahven2-dev
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libahven21.0 (= ${binary:Version}), libahven3-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- LIBTYPE=dynamic
	dh_auto_build -- LIBTYPE=static

override_dh_auto_test:
	dh_auto_test -- LD_LIBRARY_PATH=./lib

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr install_lib

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/include/ahven debian/tmp/usr/share/ada/adainclude

	mkdir -p debian/tmp/usr/lib/ada/adalib
	mv debian/tmp/usr/lib/ahven debian/tmp/usr/lib/ada/adalib

	mv debian/tmp/usr/lib/gnat/* debian/tmp/usr/share/ada/adainclude
	rmdir debian/tmp/usr/lib/gnat

	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=ahven-dbg

## ahven 2.4+repack

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2007-2009 Tero Koskinen <tero.koskinen@iki.fi>
+# Copyright (c) 2007-2013 Tero Koskinen <tero.koskinen@iki.fi>
 #
 # Permission to use, copy, modify, and distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -32,6 +32,7 @@
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
 	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
 	src/ahven-astrings.ads \
+	src/ahven-long_astrings.ads \
 	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
 	src/ahven-slist.adb src/ahven-slist.ads
 
@@ -48,6 +49,7 @@
 	lib/ahven-temporary_output.ali \
 	lib/ahven-text_runner.ali \
 	lib/ahven-astrings.ali \
+	lib/ahven-long_astrings.ali \
 	lib/ahven-xml_runner.ali
 
 STATIC_LIBRARY=libahven.a
@@ -88,7 +90,7 @@
 
 install: install_lib install_docs
 
-install_lib:
+install_lib: build_lib
 	mkdir -p $(PREFIX)/include/ahven
 	mkdir -p $(LIBDIR)/ahven
 	mkdir -p $(PREFIX)/lib/gnat
@@ -97,7 +99,7 @@
 	$(INSTALL) -m 644 lib/$(STATIC_LIBRARY) $(LIBDIR)/ahven
 	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat
 
-install_docs:
+install_docs: userguide
 	mkdir -p $(PREFIX)/share/doc/ahven
 	cp -r doc/manual/en/build/html $(PREFIX)/share/doc/ahven
 
@@ -116,7 +118,10 @@
 	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs] ../src/unix/*.ad[bs]
 	rm -f objects/*.adt objects/*.ali
 
-docs: ahven.specs
+docs: userguide
+
+old_docs: ahven.specs
+	echo This method is deprecated. Please use 'docs' target.
 	mkdir -p doc/api
 	adabrowse -c adabrowse.conf -i -f@ahven.specs -o doc/api/

=== contrib/docbook-testreport/Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 	@cp $(HEADERFILE) $(RESULTFILE)
 	@for DOC in `ls $(DOCDIR)/TEST-*.$(EXT)`; do \
 		echo "<xi:include href='$$DOC' xmlns:xi='http://www.w3.org/2003/XInclude'/>" \
-	   		>> $(RESULTFILE); \
+			>> $(RESULTFILE); \
 	done
 	@echo "</chapter>" >> $(RESULTFILE)

=== contrib/comfignat/gnat/Makefile ===
include comfignat.mk

build_GPRs = build_ahven.gpr
usage_GPRs = ahven.gpr

html: ${stage_miscdocdir}/ahven/
	${MAKE} html --directory=${srcdir}/../../../doc/manual/en BUILDDIR=${objdir}/sphinx
	cp -RHpf ${objdir}/sphinx/html ${stage_miscdocdir}/ahven

build: html

tests: base ahven_tests.gpr
	${build_GPR}

${stage_miscdocdir}/ahven:
	mkdir -p ${stage_miscdocdir}/ahven

check: tests
	./tester -c

check_xml: tests
	-mkdir -p results
	./tester -c -x -d results

clean::
	rm -f ${builddir}/*tester

=== debian/changelog ===
ahven (2.4+repack-1) unstable; urgency=medium

  * Imported Upstream version 2.4
  * Strip pre-built manual
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update binary package names
  * Transition to gnat-4.9 compiler (Closes: #753957, #755010)
  * Update to Standards-Version 3.9.5
  * Enable dpkg-buildflags hardening options
  * Update library kind support patch
  * New patch 0002-Fix-misplaced-then-warnings-style.patch
  * Update debian/copyright
  * Remove pre-built manual files from debian/copyright

 -- Reto Buerki <reet@codelabs.ch>  Mon, 04 Aug 2014 22:52:09 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 8), gnat, gnat-4.9
Standards-Version: 3.9.5
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: http://git.codelabs.ch/git/debian/ahven.git

Package: libahven24.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libahven24.0 (= ${binary:Version}), gnat, gnat-4.9
Conflicts: libahven1-dev, libahven2-dev, libahven3-dev
Replaces: libahven1-dev, libahven2-dev, libahven-3-dev
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libahven24.0 (= ${binary:Version}), libahven4-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
+export ADAFLAGS
 
 %:
 	dh ${@}

=== debian/watch ===
version=3
http://sf.net/ahven/ahven-(.+)\.tar\.gz
